Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 453086 - =dev-python/dbus-python-1.2.0: stabilize
Summary: =dev-python/dbus-python-1.2.0: stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: CVE-2013-2168
Blocks: 465870
  Show dependency tree
 
Reported: 2013-01-20 06:51 UTC by Andreis Vinogradovs ( slepnoga )
Modified: 2013-07-04 13:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreis Vinogradovs ( slepnoga ) 2013-01-20 06:51:56 UTC
The proposed solution is in the tracker.
If this is an autotools based package, and '--disable-silent-rules' doesn't work, you can try:
- emake V=1 in src_compile() and/or src_install()
- MAKEOPTS+=" V=1" as global scope

Note: if you will port the ebuild to EAPI 5, it includes '--disable-silent-rules
Comment 1 Sergey Popov gentoo-dev 2013-01-20 08:55:02 UTC
Hm, it seems that 1.6.8-r1 contains fix for this, but i can not simply turn this into stable request, cause this revision pulls systemd as optional dependency, which is keyworded now.

Pacho, you fixed this in -r1, your opinion? Can we just add --disable-silent-rules in current stable?
Comment 2 Pacho Ramos gentoo-dev 2013-01-20 10:56:57 UTC
Yes ;)
Comment 3 Samuli Suominen gentoo-dev 2013-01-20 11:22:29 UTC
We can stabilize after bug 439130.
Comment 4 Samuli Suominen gentoo-dev 2013-01-20 11:23:06 UTC
(In reply to comment #3)
> We can stabilize after bug 439130.

Which in a turn depends on the udev stabilization ;)
Comment 5 Sergey Popov gentoo-dev 2013-01-20 11:26:11 UTC
+  20 Jan 2013; Sergey Popov <pinkbyte@gentoo.org> dbus-1.4.20.ebuild,
+  dbus-1.6.2.ebuild, dbus-1.6.8.ebuild:
+  Make build.log verbose, wrt bug #453086

I have to add --force because of repoman keyword failure. I have filed bug 453114 about that
Comment 6 Samuli Suominen gentoo-dev 2013-05-13 13:20:50 UTC
Test and stabilize:

=sys-apps/dbus-1.6.10
=dev-python/dbus-python-1.2.0
Comment 7 Agostino Sarubbo gentoo-dev 2013-05-14 09:03:40 UTC
amd64 stable
Comment 8 Agostino Sarubbo gentoo-dev 2013-05-14 09:40:24 UTC
x86 stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-05-14 11:42:36 UTC
arm stable
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2013-05-15 15:02:22 UTC
Stable for HPPA.
Comment 11 Agostino Sarubbo gentoo-dev 2013-05-16 13:14:01 UTC
ppc stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-05-18 05:25:56 UTC
ia64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2013-05-18 20:44:04 UTC
alpha stable
Comment 14 Agostino Sarubbo gentoo-dev 2013-05-20 17:55:33 UTC
s390 stable
Comment 15 Agostino Sarubbo gentoo-dev 2013-05-25 07:58:14 UTC
sparc stable
Comment 16 Agostino Sarubbo gentoo-dev 2013-06-02 08:40:44 UTC
sh stable
Comment 17 Samuli Suominen gentoo-dev 2013-06-18 12:55:18 UTC
ppc64: get newer dbus from bug 473190 first
Comment 18 Agostino Sarubbo gentoo-dev 2013-07-04 13:34:08 UTC
ppc64 stable. Last arch, closing